Bug 54705 - Broken help viewer via nautilus
Summary: Broken help viewer via nautilus
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-16 18:58 UTC by Michal Jaegermann
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 20:43:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2001-10-16 18:58:36 UTC
Description of Problem:

By default "Help" icon on a Gnome toolbar runs command
'nautilus --no-default-window --no-desktop ghelp:toc'.
So far so good and this shows Gnome "Help Index". This
gives, extremely and totally unacceptably sloooow, access to
"Gnome User's Guide" but clicking on other links, like
"Man Pages", "Info Pages" or "Gnome Documents" shows only
alerts like '"toc:man" is not a valid location. Please check
the spelling and try again.'

There is no problem with these links and display when
'gnome-help-browser' is used and browsing and display is
so much faster...

Comment 1 Havoc Pennington 2001-10-16 20:05:46 UTC
The broken links are removed in the gnome-core from 
ftp://people.redhat.com/hp/gnomehide, which is stuff pending to go in to rawhide.

you can get man/info indexes in the Nautilus sidebar I believe in the meantime.

Comment 2 Michal Jaegermann 2001-10-16 20:21:01 UTC
I "can" but these are even more broken and not equivalent.

Does removal of these links means that now 'gnome-help-browser'
will be broken as well?   If yes then this would be a very bad move.

Comment 3 Havoc Pennington 2001-10-16 20:43:02 UTC
gnome-help-browser is going away; it has no maintainer, and also quite buggy.
An alternative help browser may appear in GNOME 2, still unclear; depends on
whether someone does the work. It will probably be based on Galeon or devhelp.


Comment 4 Havoc Pennington 2002-03-01 21:23:54 UTC
A new help browser is indeed in the works, it will come when we upgrade to GNOME 2.


Note You need to log in before you can comment on or make changes to this bug.